Last modified: 2014-11-17 10:34:52 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17503 - Provide metadata support on Wikimedia Commons
Provide metadata support on Wikimedia Commons
Status: NEW
Product: Wikimedia
Classification: Unclassified
Extension setup (Other open bugs)
unspecified
All All
: Normal enhancement with 4 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
http://commons.wikimedia.org/wiki/Com...
:
Depends on: oai-pmh 25854 61487 38622
Blocks: 37534 37535 commons
  Show dependency treegraph
 
Reported: 2009-02-15 11:55 UTC by brianna.laugher
Modified: 2014-11-17 10:34 UTC (History)
14 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description brianna.laugher 2009-02-15 11:55:54 UTC
This request is extension-agnostic. We will work with whichever extension y'all choose.
e.g. http://www.mediawiki.org/wiki/Extension:RDF
or http://www.mediawiki.org/wiki/Extension:Semantic_MediaWiki

This request has strong, unanimous support and more to the point, is good for Mission-fulfilling, regardless of what the community thinks. :)
Comment 1 Nemo 2012-08-26 08:46:55 UTC
Daniel, thanks for the interesting addition of bug 38622 as dependency, I didn't have any idea that was related! I'm reading [[mw:ContentHandler]] and posting a couple questions there.
Comment 2 Sumana Harihareswara 2012-08-30 18:20:31 UTC
It seems to me that we'll be able to fulfill this need with Wikidata, so this bug is waiting on that.  Changed summary and taking it out of https://www.mediawiki.org/wiki/Review_queue#Extensions .  Thanks.
Comment 3 Lydia Pintscher 2012-08-30 18:26:42 UTC
Yeah Wikidata is probably abel to do what you want in the end. Be aware however that this is not the focus of the initial development. We'll first need to get the thing ready and rolled out for Wikipedia before we look at others :) For some of the future plans check out http://meta.wikimedia.org/wiki/Wikidata/Notes/Future
Comment 4 Derk-Jan Hartman 2012-11-01 12:17:05 UTC
Well possibly we don't even need Wikidata. ContentHandler already might help a lot in being able to change the structure behind a File page in a gradual and administrated way, with or without wikidata
Comment 5 Daniel Kinzler 2012-11-01 12:23:40 UTC
(In reply to comment #4)
> Well possibly we don't even need Wikidata. ContentHandler already might help a
> lot in being able to change the structure behind a File page in a gradual and
> administrated way, with or without wikidata

I absolutely agree. Using Wikidata for this would be rather awkward.

I discussed this a bit with RobLa at Wikimania. One first idea was to add a data sub-page to image description pages, e.g. File:Foo.jpg/meta, that would contain all the meta data as structured data. 

This could be handled by an extension providing a CopntentHandler for image metadata, independently of Wikidata.
Comment 6 Bawolff (Brian Wolff) 2013-08-07 20:52:35 UTC
I'm planning to look into making an API module that would read the data on commons file description page.
Comment 7 Bawolff (Brian Wolff) 2013-08-31 10:13:23 UTC
Folks interested in this bug - I made a bunch of patches and have some evil plans. Please read http://lists.wikimedia.org/pipermail/wikitech-l/2013-August/071593.html and comment.
Comment 8 Gerrit Notification Bot 2013-09-30 18:07:43 UTC
Change 80403 had a related patch set uploaded by MarkTraceur:
Extension to screen scrape metadata out of commons

https://gerrit.wikimedia.org/r/80403
Comment 9 Gerrit Notification Bot 2013-10-19 00:07:10 UTC
Change 80403 merged by jenkins-bot:
Extension to screen scrape metadata out of commons

https://gerrit.wikimedia.org/r/80403
Comment 10 Andre Klapper 2014-02-14 00:05:50 UTC
[Resetting to NEW as patch in comment 8 and comment 9 has been merged, but there seems to be more work to do here.]
Comment 11 Shonagon 2014-04-04 20:26:15 UTC
IMHO a very big issue with semantic web.
Already on DBpedia and now on wikidata, there is currently  no way to get 
automatically metadata of a mediafile. On wikidata with the very used property p18, https://www.wikidata.org/wiki/Property:P18, the data is queryable by API but it's not possible to get basic information such as licence or author. In the near future, and it has already begun,  we will probably see a big dissemination of data and content via semantic technologies ; Wikimedia Commons mediafile are not ready.

I should be better to provide first simple and necessary information as licence and author (and maybe source). Those metadata should have to be simply accessible by programs and to be systematically provided by API or embedded metadata (EXIF, IPTC, XMP...)
The risk of big failure is that if nothing is done, it will be impossible to display simply those information in semantic flows even for those who would to, :/.
Comment 12 Shonagon 2014-04-11 10:43:31 UTC
My Bad. There is already an API for Commons :
https://www.mediawiki.org/wiki/Extension:CommonsMetadata

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links